diff --git a/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart b/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
index 557504e..7a297f1 100644
--- a/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
+++ b/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
@@ -14,6 +14,8 @@ import 'package:image_picker/image_picker.dart';
 import 'dart:io';
 import 'package:penyaluran_app/app/widgets/inputs/dropdown_input.dart';
 import 'package:penyaluran_app/app/widgets/inputs/text_input.dart';
+import 'package:cached_network_image/cached_network_image.dart';
+import 'package:penyaluran_app/app/routes/app_pages.dart';
 
 class DetailPengaduanView extends GetView<PengaduanController> {
   const DetailPengaduanView({super.key});
@@ -88,34 +90,100 @@ class DetailPengaduanView extends GetView<PengaduanController> {
           ),
         ],
       ),
-      body: FutureBuilder<Map<String, dynamic>>(
-        future: controller.getDetailPengaduan(pengaduanId),
-        builder: (context, snapshot) {
-          if (snapshot.connectionState == ConnectionState.waiting) {
-            return const Center(child: CircularProgressIndicator());
-          }
-
-          if (snapshot.hasError) {
-            return Center(
-              child: Text('Error: ${snapshot.error}'),
-            );
-          }
-
-          final data = snapshot.data;
-          if (data == null || data['pengaduan'] == null) {
-            return const Center(
-              child: Text('Data pengaduan tidak ditemukan'),
-            );
-          }
-
-          final pengaduan = PengaduanModel.fromJson(data['pengaduan']);
-          final List<TindakanPengaduanModel> tindakanList =
-              (data['tindakan'] as List)
-                  .map((item) => TindakanPengaduanModel.fromJson(item))
-                  .toList();
-
-          return _buildDetailContent(context, pengaduan, tindakanList);
+      body: RefreshIndicator(
+        onRefresh: () async {
+          await controller.getDetailPengaduan(pengaduanId);
         },
+        color: AppTheme.primaryColor,
+        child: FutureBuilder<Map<String, dynamic>>(
+          future: controller.getDetailPengaduan(pengaduanId),
+          builder: (context, snapshot) {
+            if (snapshot.connectionState == ConnectionState.waiting) {
+              return const Center(
+                child: CircularProgressIndicator(
+                  valueColor:
+                      AlwaysStoppedAnimation<Color>(AppTheme.primaryColor),
+                ),
+              );
+            }
+
+            if (snapshot.hasError) {
+              return Center(
+                child: Column(
+                  mainAxisSize: MainAxisSize.min,
+                  children: [
+                    Icon(
+                      Icons.error_outline,
+                      size: 60,
+                      color: Colors.red.shade300,
+                    ),
+                    const SizedBox(height: 16),
+                    Text(
+                      'Error: ${snapshot.error}',
+                      style: const TextStyle(
+                        fontSize: 16,
+                        color: Colors.red,
+                      ),
+                    ),
+                    const SizedBox(height: 24),
+                    ElevatedButton.icon(
+                      onPressed: () {
+                        controller.getDetailPengaduan(pengaduanId);
+                      },
+                      icon: const Icon(Icons.refresh),
+                      label: const Text('Coba Lagi'),
+                      style: ElevatedButton.styleFrom(
+                        backgroundColor: AppTheme.primaryColor,
+                        padding: const EdgeInsets.symmetric(
+                            horizontal: 24, vertical: 12),
+                      ),
+                    ),
+                  ],
+                ),
+              );
+            }
+
+            final data = snapshot.data;
+            if (data == null || data['pengaduan'] == null) {
+              return Center(
+                child: Column(
+                  mainAxisSize: MainAxisSize.min,
+                  children: [
+                    Icon(
+                      Icons.search_off,
+                      size: 60,
+                      color: Colors.grey.shade400,
+                    ),
+                    const SizedBox(height: 16),
+                    Text(
+                      'Data pengaduan tidak ditemukan',
+                      style: TextStyle(
+                        fontSize: 16,
+                        color: Colors.grey.shade700,
+                      ),
+                    ),
+                    const SizedBox(height: 8),
+                    Text(
+                      'Pengaduan mungkin telah dihapus atau tidak tersedia',
+                      style: TextStyle(
+                        fontSize: 14,
+                        color: Colors.grey.shade600,
+                      ),
+                    ),
+                  ],
+                ),
+              );
+            }
+
+            final pengaduan = PengaduanModel.fromJson(data['pengaduan']);
+            final List<TindakanPengaduanModel> tindakanList =
+                (data['tindakan'] as List)
+                    .map((item) => TindakanPengaduanModel.fromJson(item))
+                    .toList();
+
+            return _buildDetailContent(context, pengaduan, tindakanList);
+          },
+        ),
       ),
       floatingActionButton: FutureBuilder<Map<String, dynamic>>(
         future: controller.getDetailPengaduan(pengaduanId),
@@ -172,38 +240,51 @@ class DetailPengaduanView extends GetView<PengaduanController> {
         statusText = pengaduan.status ?? 'Tidak Diketahui';
     }
 
-    return SingleChildScrollView(
-      padding: const EdgeInsets.all(16),
-      child: Column(
-        crossAxisAlignment: CrossAxisAlignment.start,
-        children: [
-          // Header dengan status
-          _buildHeaderWithStatus(context, pengaduan, statusColor, statusText),
+    return Container(
+      decoration: BoxDecoration(
+        gradient: LinearGradient(
+          begin: Alignment.topCenter,
+          end: Alignment.bottomCenter,
+          colors: [Colors.white, Colors.grey.shade50],
+        ),
+      ),
+      child: SingleChildScrollView(
+        physics: const BouncingScrollPhysics(),
+        padding: const EdgeInsets.all(16),
+        child: Column(
+          crossAxisAlignment: CrossAxisAlignment.start,
+          children: [
+            // Header dengan status
+            _buildHeaderWithStatus(context, pengaduan, statusColor, statusText),
 
-          const SizedBox(height: 24),
+            const SizedBox(height: 24),
 
-          // Informasi pengaduan
-          _buildPengaduanInfo(context, pengaduan),
+            // Informasi pengaduan
+            _buildPengaduanInfo(context, pengaduan),
 
-          const SizedBox(height: 24),
+            const SizedBox(height: 24),
 
-          // Informasi penyaluran yang diadukan
-          if (pengaduan.penerimaPenyaluran != null)
-            _buildPenyaluranInfo(context, pengaduan),
+            // Informasi penyaluran yang diadukan
+            if (pengaduan.penerimaPenyaluran != null)
+              _buildPenyaluranInfo(context, pengaduan),
 
-          const SizedBox(height: 24),
+            const SizedBox(height: 24),
 
-          // Feedback warga jika status SELESAI
-          if (pengaduan.status?.toUpperCase() == 'SELESAI' &&
-              (pengaduan.feedbackWarga != null ||
-                  pengaduan.ratingWarga != null))
-            _buildFeedbackSection(context, pengaduan),
+            // Feedback warga jika status SELESAI
+            if (pengaduan.status?.toUpperCase() == 'SELESAI' &&
+                (pengaduan.feedbackWarga != null ||
+                    pengaduan.ratingWarga != null))
+              _buildFeedbackSection(context, pengaduan),
 
-          const SizedBox(height: 24),
+            const SizedBox(height: 24),
 
-          // Timeline tindakan
-          _buildTindakanTimeline(context, tindakanList),
-        ],
+            // Timeline tindakan
+            _buildTindakanTimeline(context, tindakanList),
+
+            // Padding di bagian bawah untuk memberikan space saat ada floating action button
+            const SizedBox(height: 80),
+          ],
+        ),
       ),
     );
   }
@@ -238,21 +319,21 @@ class DetailPengaduanView extends GetView<PengaduanController> {
           ),
           child: Column(
             children: [
-              _buildStatusGuideItem(
+              _buildStatusInfo(
                 'MENUNGGU',
                 'Pengaduan baru yang belum ditindaklanjuti',
                 statusMenungguColor,
                 Icons.hourglass_empty,
               ),
               const SizedBox(height: 8),
-              _buildStatusGuideItem(
+              _buildStatusInfo(
                 'TINDAKAN',
                 'Pengaduan sedang dalam proses penanganan',
                 statusTindakanColor,
                 Icons.engineering,
               ),
               const SizedBox(height: 8),
-              _buildStatusGuideItem(
+              _buildStatusInfo(
                 'SELESAI',
                 'Pengaduan telah selesai ditangani',
                 statusSelesaiColor,
@@ -305,17 +386,18 @@ class DetailPengaduanView extends GetView<PengaduanController> {
     );
   }
 
-  Widget _buildStatusGuideItem(
+  Widget _buildStatusInfo(
     String status,
     String description,
     Color color,
     IconData icon,
   ) {
     return Row(
+      crossAxisAlignment: CrossAxisAlignment.start,
       children: [
         Container(
-          width: 32,
-          height: 32,
+          width: 36,
+          height: 36,
           decoration: BoxDecoration(
             color: color.withOpacity(0.2),
             shape: BoxShape.circle,
@@ -324,27 +406,29 @@ class DetailPengaduanView extends GetView<PengaduanController> {
             child: Icon(
               icon,
               color: color,
-              size: 18,
+              size: 20,
             ),
           ),
         ),
-        const SizedBox(width: 12),
+        const SizedBox(width: 16),
         Expanded(
           child: Column(
             crossAxisAlignment: CrossAxisAlignment.start,
             children: [
-              // Menggunakan StatusPill untuk status
               StatusPill(
-                status: status,
+                status: _getStatusText(status),
                 backgroundColor: color,
                 textColor: Colors.white,
+                padding:
+                    const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
               ),
-              const SizedBox(height: 4),
+              const SizedBox(height: 8),
               Text(
                 description,
                 style: TextStyle(
-                  fontSize: 12,
+                  fontSize: 14,
                   color: Colors.grey.shade700,
+                  height: 1.4,
                 ),
               ),
             ],
@@ -354,511 +438,56 @@ class DetailPengaduanView extends GetView<PengaduanController> {
     );
   }
 
-  Widget _buildTindakanStatusItem(
-    String status,
-    String label,
-    String description,
-    Color color,
-    IconData icon,
-  ) {
-    return Container(
-      padding: const EdgeInsets.all(12),
-      decoration: BoxDecoration(
-        color: color.withOpacity(0.1),
-        borderRadius: BorderRadius.circular(8),
-        border: Border.all(color: color.withOpacity(0.3)),
-      ),
-      child: Column(
-        crossAxisAlignment: CrossAxisAlignment.start,
-        children: [
-          Row(
-            children: [
-              Icon(
-                icon,
-                color: color,
-                size: 16,
-              ),
-              const SizedBox(width: 8),
-              // Menggunakan StatusPill untuk status tindakan
-              StatusPill(
-                status: label,
-                backgroundColor: color,
-                textColor: Colors.white,
-              ),
-            ],
-          ),
-          const SizedBox(height: 4),
-          Text(
-            description,
-            style: TextStyle(
-              fontSize: 12,
-              color: Colors.grey.shade700,
-            ),
-          ),
-        ],
-      ),
-    );
-  }
-
-  Widget _buildHeaderWithStatus(
-    BuildContext context,
-    PengaduanModel pengaduan,
-    Color statusColor,
-    String statusText,
-  ) {
-    return Card(
-      elevation: 2,
-      shape: RoundedRectangleBorder(
-        borderRadius: BorderRadius.circular(12),
-      ),
-      child: Padding(
-        padding: const EdgeInsets.all(16),
-        child: Column(
-          crossAxisAlignment: CrossAxisAlignment.start,
-          children: [
-            Row(
-              mainAxisAlignment: MainAxisAlignment.spaceBetween,
-              children: [
-                Expanded(
-                  child: Text(
-                    pengaduan.judul ?? 'Pengaduan',
-                    style: const TextStyle(
-                      fontSize: 20,
-                      fontWeight: FontWeight.bold,
-                    ),
-                  ),
-                ),
-                // Menggunakan StatusPill untuk menampilkan status
-                _getStatusPill(pengaduan.status),
-              ],
-            ),
-            const SizedBox(height: 12),
-            Text(
-              pengaduan.deskripsi ?? '',
-              style: TextStyle(
-                fontSize: 14,
-                color: Colors.grey.shade700,
-              ),
-            ),
-            const SizedBox(height: 12),
-            Row(
-              children: [
-                Icon(
-                  Icons.calendar_today,
-                  size: 16,
-                  color: Colors.grey.shade600,
-                ),
-                const SizedBox(width: 8),
-                Text(
-                  pengaduan.tanggalPengaduan != null
-                      ? DateFormat('dd MMMM yyyy', 'id_ID')
-                          .format(pengaduan.tanggalPengaduan!)
-                      : '-',
-                  style: TextStyle(
-                    color: Colors.grey.shade600,
-                  ),
-                ),
-              ],
-            ),
-            const SizedBox(height: 12),
-            if (pengaduan.fotoPengaduan != null &&
-                pengaduan.fotoPengaduan!.isNotEmpty)
-              Column(
-                crossAxisAlignment: CrossAxisAlignment.start,
-                children: [
-                  Text(
-                    'Foto Pengaduan:',
-                    style: TextStyle(
-                      fontWeight: FontWeight.bold,
-                      fontSize: 14,
-                      color: Colors.grey.shade700,
-                    ),
-                  ),
-                  const SizedBox(height: 8),
-                  SizedBox(
-                    height: 120,
-                    child: ListView.builder(
-                      scrollDirection: Axis.horizontal,
-                      itemCount: pengaduan.fotoPengaduan!.length,
-                      itemBuilder: (context, index) {
-                        return GestureDetector(
-                          onTap: () {
-                            // Tampilkan gambar dalam ukuran penuh saat diklik
-                            Get.to(() => Scaffold(
-                                  appBar: AppBar(
-                                    title: const Text('Foto Pengaduan'),
-                                    backgroundColor: Colors.black,
-                                  ),
-                                  body: Center(
-                                    child: InteractiveViewer(
-                                      child: Image.network(
-                                        pengaduan.fotoPengaduan![index],
-                                        fit: BoxFit.contain,
-                                      ),
-                                    ),
-                                  ),
-                                  backgroundColor: Colors.black,
-                                ));
-                          },
-                          child: Container(
-                            width: 120,
-                            margin: const EdgeInsets.only(right: 8),
-                            decoration: BoxDecoration(
-                              borderRadius: BorderRadius.circular(8),
-                              border: Border.all(color: Colors.grey.shade300),
-                            ),
-                            child: ClipRRect(
-                              borderRadius: BorderRadius.circular(8),
-                              child: Image.network(
-                                pengaduan.fotoPengaduan![index],
-                                fit: BoxFit.cover,
-                                loadingBuilder:
-                                    (context, child, loadingProgress) {
-                                  if (loadingProgress == null) return child;
-                                  return Center(
-                                    child: CircularProgressIndicator(
-                                      value:
-                                          loadingProgress.expectedTotalBytes !=
-                                                  null
-                                              ? loadingProgress
-                                                      .cumulativeBytesLoaded /
-                                                  loadingProgress
-                                                      .expectedTotalBytes!
-                                              : null,
-                                    ),
-                                  );
-                                },
-                                errorBuilder: (context, error, stackTrace) {
-                                  return Container(
-                                    color: Colors.grey.shade200,
-                                    child: const Center(
-                                      child:
-                                          Icon(Icons.error, color: Colors.red),
-                                    ),
-                                  );
-                                },
-                              ),
-                            ),
-                          ),
-                        );
-                      },
-                    ),
-                  ),
-                ],
-              ),
-            const SizedBox(height: 16),
-            // Panel status pengaduan
-            _buildStatusPanel(context, pengaduan),
-
-            // Tampilkan feedback dan rating warga jika ada
-            if (pengaduan.status?.toUpperCase() == 'SELESAI' &&
-                (pengaduan.feedbackWarga != null ||
-                    pengaduan.ratingWarga != null))
-              Column(
-                children: [
-                  const SizedBox(height: 16),
-                  Container(
-                    width: double.infinity,
-                    padding: const EdgeInsets.all(12),
-                    decoration: BoxDecoration(
-                      color: Colors.amber.shade50,
-                      borderRadius: BorderRadius.circular(8),
-                      border: Border.all(color: Colors.amber.shade200),
-                    ),
-                    child: Column(
-                      crossAxisAlignment: CrossAxisAlignment.start,
-                      children: [
-                        Row(
-                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
-                          children: [
-                            const Text(
-                              'Feedback Warga',
-                              style: TextStyle(
-                                fontWeight: FontWeight.bold,
-                                fontSize: 14,
-                                color: Colors.amber,
-                              ),
-                            ),
-                            if (pengaduan.ratingWarga != null)
-                              Row(
-                                children: List.generate(5, (index) {
-                                  return Icon(
-                                    index < (pengaduan.ratingWarga ?? 0)
-                                        ? Icons.star
-                                        : Icons.star_border,
-                                    color: Colors.amber,
-                                    size: 16,
-                                  );
-                                }),
-                              ),
-                          ],
-                        ),
-                        const SizedBox(height: 8),
-                        if (pengaduan.feedbackWarga != null &&
-                            pengaduan.feedbackWarga!.isNotEmpty)
-                          Text(
-                            pengaduan.feedbackWarga!,
-                            style: TextStyle(
-                              fontSize: 13,
-                              color: Colors.amber.shade900,
-                              fontStyle: FontStyle.italic,
-                            ),
-                          )
-                        else
-                          Text(
-                            'Warga belum memberikan komentar',
-                            style: TextStyle(
-                              fontSize: 13,
-                              color: Colors.grey.shade600,
-                              fontStyle: FontStyle.italic,
-                            ),
-                          ),
-                      ],
-                    ),
-                  ),
-                ],
-              ),
-          ],
-        ),
-      ),
-    );
-  }
-
-  // Helper method untuk mendapatkan StatusPill berdasarkan status
-  StatusPill _getStatusPill(String? status) {
-    switch (status?.toUpperCase()) {
+  String _getStatusText(String status) {
+    switch (status) {
       case 'MENUNGGU':
-        return StatusPill(
-          status: 'Menunggu',
-          backgroundColor: statusMenungguColor,
-          textColor: Colors.white,
-          padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
-        );
+        return 'Menunggu';
       case 'TINDAKAN':
-        return StatusPill(
-          status: 'Tindakan',
-          backgroundColor: statusTindakanColor,
-          textColor: Colors.white,
-          padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
-        );
+        return 'Tindakan';
       case 'SELESAI':
-        return StatusPill(
-          status: 'Selesai',
-          backgroundColor: statusSelesaiColor,
-          textColor: Colors.white,
-          padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
-        );
+        return 'Selesai';
       default:
-        return StatusPill(
-          status: status ?? 'Tidak Diketahui',
-          backgroundColor: Colors.grey,
-          textColor: Colors.white,
-          padding: const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
-        );
+        return status;
     }
   }
 
-  Widget _buildStatusPanel(BuildContext context, PengaduanModel pengaduan) {
-    final status = pengaduan.status?.toUpperCase() ?? '';
-
-    return Container(
-      width: double.infinity,
-      padding: const EdgeInsets.all(12),
-      decoration: BoxDecoration(
-        color: Colors.grey.shade100,
-        borderRadius: BorderRadius.circular(8),
-      ),
-      child: Column(
-        crossAxisAlignment: CrossAxisAlignment.start,
-        children: [
-          Row(
-            mainAxisAlignment: MainAxisAlignment.spaceBetween,
-            children: [
-              const Text(
-                'Status Pengaduan',
-                style: TextStyle(
-                  fontWeight: FontWeight.bold,
-                  fontSize: 14,
-                ),
-              ),
-              // Tambahkan tombol untuk mengubah status
-              if (status != 'SELESAI')
-                TextButton.icon(
-                  onPressed: () {
-                    _showUbahStatusDialog(context, pengaduan);
-                  },
-                  icon: const Icon(Icons.edit, size: 16),
-                  label: const Text('Ubah Status'),
-                  style: TextButton.styleFrom(
-                    padding:
-                        const EdgeInsets.symmetric(horizontal: 8, vertical: 4),
-                    minimumSize: Size.zero,
-                    tapTargetSize: MaterialTapTargetSize.shrinkWrap,
-                  ),
-                ),
-            ],
-          ),
-          const SizedBox(height: 12),
-          Row(
-            children: [
-              Expanded(
-                child: _buildStatusStep(
-                  'MENUNGGU',
-                  'Menunggu',
-                  status == 'MENUNGGU',
-                  status == 'MENUNGGU' ||
-                      status == 'TINDAKAN' ||
-                      status == 'SELESAI',
-                  statusMenungguColor,
-                ),
-              ),
-              Expanded(
-                child: _buildStatusStep(
-                  'TINDAKAN',
-                  'Tindakan',
-                  status == 'TINDAKAN',
-                  status == 'TINDAKAN' || status == 'SELESAI',
-                  statusTindakanColor,
-                ),
-              ),
-              Expanded(
-                child: _buildStatusStep(
-                  'SELESAI',
-                  'Selesai',
-                  status == 'SELESAI',
-                  status == 'SELESAI',
-                  statusSelesaiColor,
-                ),
-              ),
-            ],
-          ),
-          const SizedBox(height: 16),
-          // Tombol aksi berdasarkan status
-          if (status == 'MENUNGGU')
-            ElevatedButton.icon(
-              onPressed: () {
-                _showTambahTindakanDialog(context, pengaduan.id!);
-              },
-              icon: const Icon(Icons.engineering),
-              label: const Text('Tambah Tindakan'),
-              style: ElevatedButton.styleFrom(
-                backgroundColor: statusTindakanColor,
-                foregroundColor: Colors.white,
-                minimumSize: const Size(double.infinity, 40),
-              ),
-            )
-          else if (status == 'TINDAKAN')
-            Row(
-              children: [
-                Expanded(
-                  child: ElevatedButton.icon(
-                    onPressed: () {
-                      _showTambahTindakanDialog(context, pengaduan.id!);
-                    },
-                    icon: const Icon(Icons.add),
-                    label: const Text('Tambah Tindakan'),
-                    style: ElevatedButton.styleFrom(
-                      backgroundColor: statusTindakanColor,
-                      foregroundColor: Colors.white,
-                    ),
-                  ),
-                ),
-                const SizedBox(width: 8),
-                Expanded(
-                  child: ElevatedButton.icon(
-                    onPressed: () {
-                      _showKonfirmasiSelesai(context, pengaduan.id!);
-                    },
-                    icon: const Icon(Icons.check_circle),
-                    label: const Text('Selesaikan'),
-                    style: ElevatedButton.styleFrom(
-                      backgroundColor: statusSelesaiColor,
-                      foregroundColor: Colors.white,
-                    ),
-                  ),
-                ),
-              ],
-            )
-          else if (status == 'SELESAI')
-            Container(
-              padding: const EdgeInsets.all(12),
-              decoration: BoxDecoration(
-                color: statusSelesaiColor.withOpacity(0.1),
-                borderRadius: BorderRadius.circular(8),
-                border: Border.all(color: statusSelesaiColor.withOpacity(0.3)),
-              ),
-              child: Row(
-                children: [
-                  Icon(
-                    Icons.check_circle,
-                    color: statusSelesaiColor,
-                    size: 20,
-                  ),
-                  const SizedBox(width: 8),
-                  Expanded(
-                    child: Text(
-                      'Pengaduan telah selesai ditangani',
-                      style: TextStyle(
-                        color: statusSelesaiColor,
-                        fontWeight: FontWeight.w500,
-                      ),
-                    ),
-                  ),
-                ],
-              ),
-            ),
-        ],
-      ),
-    );
+  Color _getStatusColor(String status) {
+    switch (status) {
+      case 'MENUNGGU':
+        return statusMenungguColor;
+      case 'TINDAKAN':
+        return statusTindakanColor;
+      case 'SELESAI':
+        return statusSelesaiColor;
+      default:
+        return Colors.grey;
+    }
   }
 
-  Widget _buildStatusStep(
-    String statusValue,
-    String label,
-    bool isActive,
-    bool isCompleted,
-    Color color,
-  ) {
-    return Column(
-      children: [
-        Container(
-          width: 30,
-          height: 30,
-          decoration: BoxDecoration(
-            color: isActive
-                ? color
-                : (isCompleted ? color.withOpacity(0.3) : Colors.grey.shade300),
-            shape: BoxShape.circle,
-          ),
-          child: Center(
-            child: isCompleted
-                ? Icon(
-                    Icons.check,
-                    color: Colors.white,
-                    size: 16,
-                  )
-                : Text(
-                    (statusValue == 'MENUNGGU'
-                        ? '1'
-                        : (statusValue == 'TINDAKAN' ? '2' : '3')),
-                    style: TextStyle(
-                      color: Colors.white,
-                      fontWeight: FontWeight.bold,
-                    ),
-                  ),
-          ),
-        ),
-        const SizedBox(height: 4),
-        Text(
-          label,
-          style: TextStyle(
-            fontSize: 12,
-            fontWeight: isActive ? FontWeight.bold : FontWeight.normal,
-            color: isActive ? color : Colors.grey.shade600,
-          ),
-        ),
-      ],
-    );
+  String _getStatusDescription(String status) {
+    switch (status) {
+      case 'MENUNGGU':
+        return 'Pengaduan baru yang belum ditindaklanjuti oleh petugas.';
+      case 'TINDAKAN':
+        return 'Pengaduan sedang dalam proses penanganan oleh petugas.';
+      case 'SELESAI':
+        return 'Pengaduan telah selesai ditangani oleh petugas.';
+      default:
+        return 'Status pengaduan tidak diketahui.';
+    }
+  }
+
+  IconData _getStatusIcon(String status) {
+    switch (status) {
+      case 'MENUNGGU':
+        return Icons.hourglass_empty;
+      case 'TINDAKAN':
+        return Icons.engineering;
+      case 'SELESAI':
+        return Icons.check_circle;
+      default:
+        return Icons.help_outline;
+    }
   }
 
   void _showKonfirmasiSelesai(BuildContext context, String pengaduanId) async {
